Bug 1188165 - Call Activity - Wait For Completion Attribute should be validate before running the process in BPMN 2 Diagram Editor
Summary: Call Activity - Wait For Completion Attribute should be validate before runni...
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Marek Baluch
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-02 08:26 UTC by ksuzumur
Modified: 2019-03-22 07:36 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description ksuzumur 2015-02-02 08:26:47 UTC
Description of problem:
Call Activity - Wait For Completion Attribute should be validate before running the process in BPMN 2 Diagram Editor.
In Properties -> Call Activity -> Attributes -> Wait For Completion Attribute can be unchecked(false) in BPMN 2 Diagram Editor.
The customer can save the file.

Here is the line of bpmn file.
---
<bpmn2:callActivity id="CallActivity_1" tns:waitForCompletion="false" tns:independent="false" name="Call Activity 1" calledElement="test0">
---

But the process will be a following error:

java.lang.IllegalArgumentException: Cannot add asset: Process 'BPMSTEST' [BPMSTEST]: SubProcess node 'Call Activity 1' [3] you can only set independent to 'false' only when 'Wait for completion' is set to true.,
	at org.jbpm.runtime.manager.impl.SimpleRuntimeEnvironment.addAsset(SimpleRuntimeEnvironment.java:111)
	at org.jbpm.runtime.manager.impl.RuntimeEnvironmentBuilder.addAsset(RuntimeEnvironmentBuilder.java:281)
	at com.sample.ProcessJPATest.getRuntimeManager(ProcessJPATest.java:130)
	at com.sample.ProcessJPATest.testProcess(ProcessJPATest.java:49)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at junit.framework.TestCase.runTest(TestCase.java:176)
	at junit.framework.TestCase.runBare(TestCase.java:141)
	at junit.framework.TestResult$1.protect(TestResult.java:122)
	at junit.framework.TestResult.runProtected(TestResult.java:142)
	at junit.framework.TestResult.run(TestResult.java:125)
	at junit.framework.TestCase.run(TestCase.java:129)
	at junit.framework.TestSuite.runTest(TestSuite.java:255)
	at junit.framework.TestSuite.run(TestSuite.java:250)
	at org.junit.internal.runners.JUnit38ClassRunner.run(JUnit38ClassRunner.java:84)
	at org.apache.maven.surefire.junit4.JUnit4Provider.execute(JUnit4Provider.java:252)
	at org.apache.maven.surefire.junit4.JUnit4Provider.executeTestSet(JUnit4Provider.java:141)
	at org.apache.maven.surefire.junit4.JUnit4Provider.invoke(JUnit4Provider.java:112)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at org.apache.maven.surefire.util.ReflectionUtils.invokeMethodWithArray(ReflectionUtils.java:189)
	at org.apache.maven.surefire.booter.ProviderFactory$ProviderProxy.invoke(ProviderFactory.java:165)
	at org.apache.maven.surefire.booter.ProviderFactory.invokeProvider(ProviderFactory.java:85)
	at org.apache.maven.surefire.booter.ForkedBooter.runSuitesInProcess(ForkedBooter.java:115)
	at org.apache.maven.surefire.booter.ForkedBooter.main(ForkedBooter.java:75)


Version-Release number of selected component (if applicable):

BPMS 6.0.3
JBDS 8 Early Access BPMN2 Modeler - Diagram Editor 1.1.1.201412181844	

How reproducible:
Uncheck Wait For Completion Attribute(false)

Steps to Reproduce:
1.Uncheck Wait For Completion Attribute(false)
2.Start the Process


Expected results:
The customer would like to prevent the error before runing the process in BPMN 2 Diagram Editor validation function.

Comment 1 Robert (Bob) Brodt 2015-02-09 19:00:23 UTC
Fixed in Luna build 1.1.2.201502091842
download.eclipse.org/bpmn2-modeler/updates/luna/1.1.2/

Fixed in Kepler build 1.0.4.201502091849
download.eclipse.org/bpmn2-modeler/updates/kepler/1.0.4/

Comment 2 Jozef Marko 2015-02-16 11:01:50 UTC
Verified on   BPMN2 Modeler 1.1.2.201502121708

The following error is displayed in Problems view:
"Independent" can only be FALSE if "Wait For Completion" is TRUE

Fix not included in jbds-8.0.2.GA_jbdsis-8.0.0.CR2.

Comment 3 Jozef Marko 2015-04-02 12:08:13 UTC
Verified on jbds-8.1.0.CR1_jbdsis-8.0.1.CR1 - BPMN2 Modeler 1.1.2.Final


Note You need to log in before you can comment on or make changes to this bug.